Subject: Re: [RFC net] net: make page pool stall netdev unregistration to avoid IOMMU crashes

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Aug 2024 20:57:17 -0700

On Fri, 9 Aug 2024 14:06:02 +0800 Yonglong Liu wrote:
> [ 7724.272853] hns3 0000:7d:01.0: page_pool_release_retry(): eno1v0 
> stalled pool shutdown: id 553, 82 inflight 6706 sec (hold netdev: 1855491)

Alright :( You gotta look around for those 82 pages somehow with drgn.
bpftrace+kfunc the work that does the periodic print to get the address
of the page pool struct and then look around for pages from that pp.. :(